import type { QuizQuestionBase, QuestionHint, QuestionBranchingRule } from "./shared";

export interface QuizQuestionDate extends QuizQuestionBase {
  type: "date";
  content: {
    id: string;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    dateRange: boolean;
    time: boolean;
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string | null;
    originalBack: string | null;
    autofill: boolean;
  };
}
