export interface SideWidgetComponentProps {
  quizId: string;
  position: "left" | "right";
  buttonBackgroundColor?: string;
  buttonTextColor?: string;
  dialogDimensions?: { width: string; height: string };
  fullScreen?: boolean;
  buttonFlash?: boolean;
  /**
   * Показывать виджет через X секунд
   */
  autoShowWidgetTime?: number;
  /**
   * Открыть квиз через X секунд, 0 - сразу, null - не открывать
   */
  autoShowQuizTime?: number | null;
  hideOnMobile?: boolean;
}

export type SideWidgetParams = SideWidgetComponentProps;
